


POLY(5)                   FILE FORMATS                    POLY(5)



NAME
     poly - polyhedron database

DESCRIPTION
     The directory /usr/lib/polyhedra contains an index file  and
     many  polyhedron description files.  The index file consists
     of lines composed of the polyhedron  number  followed  by  a
     horizontal  tab and the polyhedron's name.  The polyhedron's
     number is also the name of its description file.   The  rou-
     tines of poly(3) read such description files.

     The description file consists of  a  number  of  fields.   A
     field  header is a line with an initial The remainder of the
     line is the field name.  Fields start with  a  field  header
     line  and are terminated by the next field header line or by
     end of file.  A polyhedron's description  is  terminated  by
     the field The fields include, but are not limited to,

     number      the polyhedron's number (written and  read  with
                 the %d printf/scanf format).

     name        the polyhedron's name is less than  128  charac-
                 ters long and is not capitalized.

     symbol      the eqn(1) input for two symbols separated by  a
                 tab;  the  Johnson symbol, and the Schlafli sym-
                 bol.

     dual        the name of the dual polyhedron optionally  fol-
                 lowed  by a horizontal tab and the number of the
                 dual.

     vertices    the first line contains the number of  vertices.
                 The  vertices  are  arranged  one per line as an
                 (x,y,z)  coordinate  of  white-space   separated
                 values  (described  below).   The  vertices  are
                 implicitly numbered starting at zero.

     net         the first line contains the number of faces  and
                 the  maximum  number of vertices in a face.  The
                 remaining lines are the faces in the planar net.
                 Each  face  has  a  vertex count followed by the
                 vertex numbers.   The  vertices  are  listed  in
                 counter-clockwise  order  as viewed from outside
                 the polyhedron.

     hinges      the first line contains the number of hinges  in
                 the  planar  net.  The remaining lines are hinge
                 connections.  The format is  face1  side1  face2
                 side2  value.  Sides are numbered from zero.  If
                 the dihedral (value) is greater than J, it is  a
                 reflex or re-entrant hinge.



Sun Release 4.1           Last change:                          1






POLY(5)                   FILE FORMATS                    POLY(5)



     solid       the first line contains the number of faces  and
                 the  maximum  number of vertices in a face.  The
                 remaining  lines  are  the  faces  in   the   3D
                 polyhedron.   Each  face has a vertex count fol-
                 lowed by the vertex numbers.  The  vertices  are
                 listed in counter-clockwise order as viewed from
                 outside the polyhedron.

     dihedral    the first line contains the number  of  distinct
                 dihedrals.   Each  dihedral starts on a new line
                 and has a count and a value.  If  the  count  is
                 non-zero,  then  that  many face edge pairs (one
                 per line) follow the dihedral value.

     EOF         the end of the polyhedron's description.

     A value consists of a floating point number optionally  fol-
     lowed  by  a  expression  enclosed  by The expression is the
     exact value represented in bc(1)  code  with  the  following
     function  meanings:  $a(x)  ~=~ {tan sup -1 {( x )}}$, $b(x)
     ~=~ { ( x ) } sup { 1/3 }$, $c(x) ~=~ {cos ( {x} ) }$, $d(x)
     ~=~  {tan  {(  x )}}$, $p ~=~ {pi}$, $q(x) ~=~ {{x} sup 2}$,
     $r(x) ~=~ {cos sup -1 {( x )}}$, $s(x) ~=~ {sin (  {x}  )}$,
     $t  ~=~  {phi}$.   The code may include assignments but does
     not include white space.

FILES
     index file
     description files

SEE ALSO
     poly(3), poly(7)

